Page MenuHomePhabricator

Prepare script to update invalid user preferences after skins have been separated
Closed, ResolvedPublic5 Estimated Story PointsSpike

Description

When the new Vector skin is enabled, we have added code to make sure end users continue to get their preferred skins. This will allow us to remove the skin version code as we will no longer need to map old preferences to new preferences. This also means we can refactor the existing Vector code safely, separating legacy and modern more distinctly.

Previously the choice of Vector mode was made by consulting the user VectorSkinVersion preference
Now the choice of Vector is made by consulting the user VectorSkinVersion preference and the skin preference.

The switch means that many users will have database rows like so:

skinVectorSkinVersion
vector2

These must all be replaced by

skinVectorSkinVersion
vector-20122

These rows will only be corrected whenever a user saves a preference.

We may need to consider writing a script to fix these, or deciding it's not important to fix.

TODO

  • How many rows are impacted? (run a query a week after change) << see results of queries in T299104#7746154 and T299104#7761220
  • Should we write a script to migrate these rows, or simply revert these users back to legacy Vector for manual correction? yes - we need 2 versions
  • Write the script if needed.
    • generic core patch (should be refactored for vector but currently generalized enough atm)
    • script for centralauth to update global preferences (combined with generic patch using --db flag
    • script for updating vector specific skin preferences (refactor of generic core patch) >> moved patch to WikimediaMaintenance extension
  • Document on the team page how to do these sorts of migrations. >> https://www.mediawiki.org/wiki/Readers/Web/Maintenance_Scripts

Developer notes

To check rows impacted, you'll need to ssh into one of the replicas (listed at https://wikitech.wikimedia.org/wiki/Analytics/Systems/MariaDB) and run a database query on the preferences table.

Migrate script

Here is an example of a maintenance script that migrates preferences:

https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/MediaSearch/+/refs/changes/53/752653/3/maintenance/MigrateSearchPagePrefs.php?autodive=0

We'll need to write our own.

Executing the script would need to happen in a special deploy (out of scope for this ticket).

QA steps

For the first iteration of the script, the following command should be run with the necessary options (these are required so validation will prevent running the script without any of the needed parameters and tell you which options are missing):

  • ssh into the proper server
  • make sure you are in the correct directory i.e. /var/www/html/
  • dry run is the default when running the script without the --commit flag -- this allows us to get a sense of affected rows for updates and inserts
  • To run on a wiki as a dry run:
php extensions/WikimediaMaintenance/T299104.php
  • To dry run on a wiki with inserts, use --insert option:
php extensions/WikimediaMaintenance/T299104.php --insert
  • To actually run the database updates, add --commit option
php extensions/WikimediaMaintenance/T299104.php --commit
  • To actually run the database updates with inserts, add --commit and --insert options
php extensions/WikimediaMaintenance/T299104.php --insert --commit
  • To update global preferences as a dry run:
php extensions/WikimediaMaintenance/T299104.php --global
  • To actually run the database updates for global preferences, add --commit option
php extensions/WikimediaMaintenance/T299104.php --commit --global

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson renamed this task from [Spike] What to do about invalid user preferences after skins have been separated? to Prepare script to update invalid user preferences after skins have been separated.Feb 15 2022, 1:29 AM
Jdlrobson removed Jdlrobson as the assignee of this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

We talked a bit about this in SHDT @phuedx says there is code that we can use here/copy in core (https://github.com/wikimedia/mediawiki/blob/master/maintenance/resetPageRandom.php)

We talked a bit about what problems could occur here, and how to mitigate them. Rollback isn't a thing we get here for free, but preferences table could be rolled back to nearest hour in an emergency. The main mitigation is code review but we should also add a dry run parameter that logs what it's doing, so you can verify that its output matches expectations.

If we introduced a typo in the skin name for example, we'd see an increase in logspam during the script run. If that happens, we would need to stop and update the script.

In terms of running the script, you can use a backport window, but let a DBA know beforehand.

In terms of running the script, you can use a backport window, but let a DBA know beforehand.

Do note that you're not limited to backport windows to run maintenance scripts. Just speak up in #wikimedia-operations/DBA to make sure that you're not treading on another's toes.

I'm not sure I have the queries correct but if I do, the number of affected rows is only 37 for enwiki -- these are users who have skin = "vector" and VectorSkinVersion = "2" in the user_properties table.

The schema for user_properties looks like this:

[enwiki]> SHOW COLUMNS FROM user_properties;
+-------------+------------------+------+-----+---------+-------+
| Field       | Type             | Null | Key | Default | Extra |
+-------------+------------------+------+-----+---------+-------+
| up_user     | int(10) unsigned | NO   | PRI | NULL    |       |
| up_property | varbinary(255)   | NO   | PRI |         |       |
| up_value    | blob             | YES  |     | NULL    |       |
+-------------+------------------+------+-----+---------+-------+
3 rows in set (0.002 sec)

I queried the analytics replica from stat1006 using the following:

[enwiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                       37 |
+--------------------------+
1 row in set (8.035 sec)

The same query without the count returned 37 rows of user ids:

[enwiki]> SELECT DISTINCT(up_user) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");

Running the queries independently returns significantly more rows:

[enwiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE up_property="skin" AND up_value="vector";
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                   161182 |
+--------------------------+
1 row in set (56.760 sec)

and

[enwiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE up_property="VectorSkinVersion" AND up_value="2";
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                    16806 |
+--------------------------+
1 row in set (9.638 sec)

For kicks, I ran the same query on a few other pilot wikis - here's frwiki:

[frwiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                       11 |
+--------------------------+
1 row in set (7.320 sec)

hewiki:

[hewiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                       23 |
+--------------------------+
1 row in set (0.806 sec)

mediawikiwiki:

[mediawikiwiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                       11 |
+--------------------------+
1 row in set (1.903 sec)

dewiki (not part of desktop-improvements but still had some qualifying user accounts):

[dewiki]> SELECT COUNT(DISTINCT(up_user)) FROM user_properties WHERE (up_property="VectorSkinVersion" AND up_value="2") AND up_user IN (SELECT up_user FROM user_properties WHERE up_property="skin" AND up_value="vector");
+--------------------------+
| COUNT(DISTINCT(up_user)) |
+--------------------------+
|                        5 |
+--------------------------+
1 row in set (1.594 sec)

So to answer the questions in the ticket description:

How many rows are impacted? (run a query a week after change)

If my queries are correct, it looks like only 37 users on enwiki (and to a lesser extent, some users on other pilot wikis) are affected.

Should we write a script to migrate these rows, or simply revert these users back to legacy Vector for manual correction?

If my queries are correct and it's truly only 37 users on enwiki (and even less on pilot wikis), it seems like we should just revert these users to legacy Vector manually?

Nevertheless I'm happy to write a script for the exercise of doing so and documenting the process.

Change 769020 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/core@master] Add maintenance script to update skin preferences.

https://gerrit.wikimedia.org/r/769020

checked the global_preferences table in the centralauth database and got many more affected users:

[centralauth]> SELECT COUNT(gp_user) FROM global_preferences WHERE (gp_property="VectorSkinVersion" AND gp_value="2") AND gp_user IN (SELECT gp_user FROM global_preferences WHERE gp_property="skin" AND gp_value="vector");
+----------------+
| COUNT(gp_user) |
+----------------+
|            624 |
+----------------+
1 row in set (0.027 sec)

so presumably we'll want to run the script against this table

cjming added a subscriber: cjming.

fyi I moved the latest patch into code review because time but I am working on a version of the script for centralauth and a follow up of the script for vector (which if I can get it working, I'll revert the core patch)

cjming updated the task description. (Show Details)

Change 771073 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@master] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771073

Change 769020 abandoned by Clare Ming:

[mediawiki/core@master] Add maintenance script to update user preferences.

Reason:

abandoning in favor of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaMaintenance/+/771073

https://gerrit.wikimedia.org/r/769020

'vector-2012'? They are 'vector-2022' and 'vector' at least now right?

hi @Func -- you're correct - skins are now 'vector' and 'vector-2022' - typo on my part

cjming assigned this task to Jdlrobson.

Change 770937 had a related patch set uploaded (by Jdlrobson; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/770937

Change 771073 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@master] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771073

Change 770937 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/770937

Mentioned in SAL (#wikimedia-operations) [2022-03-16T14:55:23Z] <cjming@deploy1002> Synchronized php-1.38.0-wmf.26/extensions/WikimediaMaintenance/T299104.php: Backport: [[gerrit:770937|Add script to update vector skin preferences (T299104)]] (duration: 00m 51s)

Change 771387 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771387

cjming updated the task description. (Show Details)

doing a bunch of dry runs to get a sense of affected rows before running the actual database updates

Change 771387 abandoned by Clare Ming:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

Reason:

need to add an option - will cherry-pick again after

https://gerrit.wikimedia.org/r/771387

Change 771426 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@master] Add insert option for update skin preferences script

https://gerrit.wikimedia.org/r/771426

Change 771426 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@master] Add insert option for update skin preferences script

https://gerrit.wikimedia.org/r/771426

Change 771387 restored by Clare Ming:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771387

Change 771390 had a related patch set uploaded (by Jdlrobson; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Add insert option for update skin preferences script

https://gerrit.wikimedia.org/r/771390

Change 771449 had a related patch set uploaded (by Jdlrobson; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771449

Change 771387 abandoned by Jdlrobson:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

Reason:

See https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaMaintenance/+/771449

https://gerrit.wikimedia.org/r/771387

Change 771449 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.25] Add script to update vector skin preferences

https://gerrit.wikimedia.org/r/771449

Change 771390 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Add insert option for update skin preferences script

https://gerrit.wikimedia.org/r/771390

Mentioned in SAL (#wikimedia-operations) [2022-03-16T20:34:37Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.25/extensions/WikimediaMaintenance/: ebfc516: Add script to update vector skin preferences (T299104) (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2022-03-16T20:35:28Z] <urbanecm@deploy1002> Synchronized php-1.38.0-wmf.26/extensions/WikimediaMaintenance/: 9ba157b: Add insert option for update skin preferences script (T299104) (duration: 00m 50s)

Change 771468 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@master] Update invalid skin preference update script

https://gerrit.wikimedia.org/r/771468

Change 771394 had a related patch set uploaded (by Jdlrobson; author: Clare Ming):

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Update invalid skin preference update script

https://gerrit.wikimedia.org/r/771394

Change 771468 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@master] Update invalid skin preference update script

https://gerrit.wikimedia.org/r/771468

Clare and I ran this script for :

  • French Wikipedia
  • Hebrew Wikipedia
  • Polish Wikipedia

Less than 200 users have been modified.
Our post-analysis suggests everything went to plan. We are going to wait until next week, to see if we get any feedback or red flags that it didn't.

We plan to run all wikis next Tuesday. We'll backport https://gerrit.wikimedia.org/r/771394 before then to make sure the branches are ready for us next week.

@ovasileva @sgrabarczuk please let us know if you see any reports from French, Hebrew, Polish about weird behaviour / change in skins.

Change 771394 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMaintenance@wmf/1.38.0-wmf.26] Update invalid skin preference update script

https://gerrit.wikimedia.org/r/771394

Mentioned in SAL (#wikimedia-operations) [2022-03-17T21:21:41Z] <cjming@deploy1002> Synchronized php-1.38.0-wmf.26/extensions/WikimediaMaintenance/T299104.php: Backport: [[gerrit:771394|Update invalid skin preference update script (T299104)]] (duration: 00m 51s)

For global preferences, the following maintenance script was run on metawiki:

mwscript extensions/WikimediaMaintenance/T299104.php --wiki metawiki --global --insert --commit

with the following results:

Updated global preferences affecting 610 rows
Inserted global preferences affecting 124 rows

To verify that global preferences were updated/inserted, we ran thereafter:

mwscript extensions/WikimediaMaintenance/T299104.php --wiki enwiki --global --insert

which returned:

Would update global preferences affecting 0 rows
Would insert global preferences affecting 0 rows

For desktop-improvements, we ran the following maintenance script as a dry run (note without the --insert option) to see how many pilot wikis would be affected:

expanddblist desktop-improvements  | while read wiki; do echo $wiki && mwscript extensions/WikimediaMaintenance/T299104.php --wiki=$wiki; done

which returned affected rows for bnwiki, mediawikiwiki, ptwiki, testwiki, and trwiki.

For the affected desktop-improvements wikis, the following maintenance script was run on bnwiki, mediawikiwiki, ptwiki, testwiki, trwiki :

mwscript extensions/WikimediaMaintenance/T299104.php --wiki=<wiki> --commit

with the following results:

bnwiki:
Updated 'skin' for user id X from 'vector' to 'vector-2022'.
Updated user preferences affecting 1 rows

mediawikiwiki:
Updated 'skin' for user id X from 'vector' to 'vector-2022'. (x 11)
Updated user preferences affecting 11 rows

ptwiki:
Updated 'skin' for user id X from 'vector' to 'vector-2022'. (x 7)
Updated user preferences affecting 7 rows

testwiki:
Updated 'skin' for user id X from 'vector' to 'vector-2022'. (x 2)
Updated user preferences affecting 2 rows

trwiki:
Updated 'skin' for user id X from 'vector' to 'vector-2022'. (x 3)
Updated user preferences affecting 3 rows

For all wikis except for desktop-improvements, we ran:

expanddblist all | egrep -xv "arywiki|bnwiki|collabwiki|dewikivoyage|euwiki|fawiki|foundationwiki|frwiki|frwikiquote|frwiktionary|hewiki|idwiki|incubatorwiki|kowiki|mediawikiwiki|officewiki|plwikinews|ptwiki|ptwikinews|ptwikiversity|srwiki|strategywiki|test2wiki|testwiki|thwiki|trwiki|vecwiki|viwiki|viwikibooks" | while read wiki; do echo $wiki && mwscript extensions/WikimediaMaintenance/T299104.php --wiki=$wiki --insert --commit; done

The following wikis recorded no changes for the above maintenance script command:

Updated user preferences affecting 0 rows
Inserted user preferences affecting 0 rows

advisorswiki
afwikiquote
akwikibooks
akwiktionary
amwikimedia
amwikiquote
amwiktionary
angwikibooks
angwikiquote
angwikisource
anwiktionary
arbcom_cswiki
arbcom_dewiki
arbcom_enwiki
arbcom_fiwiki
arbcom_nlwiki
arbcom_ruwiki
arwikimedia
astwikibooks
astwikiquote
aswikibooks
aswiktionary
auditcomwiki
avwiktionary
aywikibooks
aywiktionary
azwikibooks
azwikiquote
azwiktionary
bawikibooks
bewikibooks
bewikiquote
bewiktionary
bgwikibooks
bgwikiquote
bgwikisource
bgwiktionary
bhwiktionary
biwikibooks
biwiktionary
bhwiktionary
biwikibooks
biwiktionary
bmwikibooks
bmwikiquote
bmwiktionary
boardgovcomwiki
boardwiki
bowikibooks
bowiktionary
brwikiquote
brwikisource
bswikisource
chairwiki
chapcomwiki
chowiki
chwikibooks
chwiktionary
cnwikimedia
cowikibooks
cowikimedia
cowikiquote
crwikiquote
crwiktionary
cvwikibooks
cywikibooks
cywikiquote
cywikisource
cywiktionary
dawikiquote
donatewiki
dzwiktionary
ecwikimedia
electcomwiki
elwikinews
eowikinews
eowikiquote
etwikibooks
etwikimedia
etwikiquote
etwikisource
etwiktionary
euwikibooks
euwikiquote
execwiki
fawikibooks
fdcwiki
fowiktionary
fywikibooks
fywiktionary
gawikibooks
gawikiquote
gawiktionary
gdwiktionary
gewikimedia
glwikibooks
glwikiquote
glwikisource
gnwikibooks
gnwiktionary
gomwiktionary
gotwikibooks
grantswiki
grwikimedia
guwikibooks
guwikiquote
guwikisource
hawiktionary
hiwikibooks
hiwikimedia
hiwikiquote
hiwikivoyage
howiki
hrwikibooks
hrwikiquote
hrwikisource
hrwiktionary
hsbwiktionary
htwikisource
huwikinews
huwikiquote
hywikibooks
hywikiquote
hywikisource
hzwiki
iawikibooks
iawiktionary
id_internalwikimedia
idwikimedia
iegcomwiki
iewikibooks
iewiktionary
iiwiki
ikwiktionary
ilwikimedia
internalwiki
iowiktionary
iswikiquote
iswikisource
itwikinews
iuwiktionary
kawikibooks
kjwiki
kkwikibooks
kkwikiquote
klwiktionary
kmwikibooks
kmwiktionary
knwikibooks
knwikiquote
knwikisource
knwiktionary
koiwiki
krwiki
krwikiquote
kswikibooks
kswikiquote
kuwikibooks
kuwikiquote
kwwikiquote
kwwiktionary
kywikibooks
kywikiquote
labtestwiki
lawikibooks
lbwikibooks
lbwikiquote
lbwiktionary
legalteamwiki
lezwiki
lgwiki
lijwikisource
liwikibooks
liwikinews
liwikiquote
liwikisource
liwiktionary
lnwiki
lnwikibooks
lnwiktionary
lowiktionary
ltgwiki
ltwikibooks
ltwikiquote
ltwikisource
lvwikibooks
lvwiktionary
maiwikimedia
mdfwiki
mgwikibooks
mhrwiki
mhwiki
mhwiktionary
miwiki
miwikibooks
miwiktionary
mkwikibooks
mkwikimedia
mkwiktionary
mlwikibooks
mlwikiquote
mlwiktionary
mniwiktionary
mnwikibooks
movementroleswiki
mrwikibooks
mrwikiquote
mrwikisource
mtwiktionary
muswiki
mxwikimedia
myvwiki
mywikibooks
nahwikibooks
nawikiquote
nawiktionary
ndswikibooks
ndswikiquote
newikibooks
ngwiki
ngwikimedia
nlwikinews
nlwikiquote
nnwikiquote
noboard_chapterswikimedia
nostalgiawiki
novwiki
nowikinews
nqowiki
nrmwiki
nsowiki
nzwikimedia
ocwikibooks
olowiki
ombudsmenwiki
omwiktionary
orwikisource
orwiktionary
oswiki
pa_uswikimedia
pagwiki
pawikibooks
pawiktionary
pcdwiki
pdcwiki
piwiktionary
plwiki
pmswikisource
pntwiki
projectcomwiki
pswikibooks
punjabiwikimedia
qualitywiki
quwikibooks
quwikiquote
quwiktionary
rmwiki
rmwikibooks
rmwiktionary
rnwiki
rnwiktionary
roa_rupwiktionary
romdwikimedia
rowikibooks
rowikinews
rowikiquote
rswikimedia
rwwiki
rwwiktionary
sahwikiquote
sahwikisource
sawikibooks
sawikiquote
sawiktionary
scnwiktionary
scwiktionary
sdwikinews
searchcomwiki
sewikibooks
sgwiki
sgwiktionary
shnwiki
shnwiktionary
shywiktionary
simplewikibooks
simplewikiquote
siwikibooks
slwikibooks
slwikiquote
slwikisource
slwikiversity
slwiktionary
smwiktionary
snwiki
snwiktionary
sowiktionary
spcomwiki
sqwikibooks
srnwiki
srwikibooks
sswiki
sswiktionary
stewardwiki
stwiki
stwiktionary
suwiktionary
swwikibooks
swwiktionary
sysop_itwiki
tawikibooks
tawikinews
tawikiquote
tawikisource
techconductwiki
tenwiki
tewikibooks
tewikiquote
tewikisource
tewiktionary
tgwikibooks
tgwiktionary
thankyouwiki
thwikinews
tkwikibooks
tkwikiquote
tkwiktionary
tlwikibooks
towiki
towiktionary
tpiwiki
tpiwiktionary
transitionteamwiki
tswiki
tswiktionary
ttwikibooks
ttwikiquote
ttwiktionary
tumwiki
twwiktionary
tyvwiki
tywiki
udmwiki
ugwikibooks
ugwikiquote
urwikibooks
urwikiquote
uzwikibooks
uzwikiquote
uzwiktionary
vecwikisource
vepwiki
vewiki
votewiki
vowikibooks
vowikiquote
vowiktionary
wawikibooks
wbwikimedia
wg_enwiki
wikimania2005wiki
wikimania2006wiki
wikimania2007wiki
wikimania2008wiki
wikimania2009wiki
wikimania2010wiki
wikimania2011wiki
wikimania2012wiki
wikimania2013wiki
wikimania2014wiki
wikimania2015wiki
wikimania2017wiki
wikimania2018wiki
wikimaniateamwiki
wowikiquote
wowiktionary
xhwiki
xhwikibooks
xhwiktionary
xmfwiki
yowikibooks
yowiktionary
yuewiktionary
zawikibooks
zawikiquote
zawiktionary
zeawiki
zh_min_nanwikibooks
zh_min_nanwikiquote
zh_min_nanwikisource
zuwikibooks
zuwiktionary

The following wikis reported updates and/or inserts for the maintenance script command above:

Updated 'skin' for user id X from 'vector' to 'vector-2022'.
Inserted row for user id X with 'skin' set to 'vector-2022'.

advisorywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

acewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

adywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

afwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 19 rows

afwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

afwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

akwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

alswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

altwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

amiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

amwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

angwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

angwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

anwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

apiportalwiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 4 rows

arcwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

arwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 103 rows

arwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

arwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

arwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

arwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

arwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

arwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

arzwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 24 rows

astwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

astwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

aswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

aswikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

atjwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

avkwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

avwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

awawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

aywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

azbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

azwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 24 rows

azwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

banwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

banwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

barwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 5 rows

bat_smgwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bawiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 5 rows

bclwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

bclwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bdwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

be_x_oldwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

betawikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

bewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 12 rows

bewikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

bewikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

bgwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 21 rows

bgwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bhwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

biwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bjnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

bmwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bnwikibooks 
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bnwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

bnwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bnwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

bowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

bpywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

brwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 10 rows

brwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

brwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 11 rows

bswikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bswikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bswikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

bugwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

bxrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

cawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 47 rows

cawikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

cawikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

cawikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cawikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

cawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

cbk_zamwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

cdowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

cebwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 14 rows

cewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

checkuserwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

chrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

chrwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

chwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

chywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ckbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

commonswiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 550 rows

cowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cowiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

crhwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

crwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

csbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

csbwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows


cswiki
Updated user preferences affecting 3 rows
Inserted user preferences affecting 70 rows

cswikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cswikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cswikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

cswikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cswikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

cuwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

cvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

cywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

dagwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dawiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 42 rows

dawikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

dewiki
Updated user preferences affecting 5 rows
Inserted user preferences affecting 612 rows

dewikibooks
Updated user preferences affecting 1 rows
Inserted user preferences affecting 14 rows

dewikinews
Updated user preferences affecting 1 rows
Inserted user preferences affecting 6 rows

dewikiquote
Updated user preferences affecting 1 rows
Inserted user preferences affecting 9 rows

dewikisource
Updated user preferences affecting 2 rows
Inserted user preferences affecting 13 rows

dewikiversity
Updated user preferences affecting 1 rows
Inserted user preferences affecting 5 rows

dewiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 31 rows

dinwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

diqwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

diqwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dkwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dsbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dtywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

dvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

dvwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

dzwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

eewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

elwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 39 rows

elwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

elwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

elwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

enwiki
Updated user preferences affecting 36 rows
Inserted user preferences affecting 5696 rows

enwikibooks
Updated user preferences affecting 4 rows
Inserted user preferences affecting 85 rows

enwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 37 rows

enwikiquote
Updated user preferences affecting 2 rows
Inserted user preferences affecting 34 rows

eowikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

eowikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

eowikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

eowiktionary
Updated user preferences affecting 1 rows
Inserted user preferences affecting 4 rows

eswiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 292 rows

eswikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

eswikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

eswikiquote
Updated user preferences affecting 1 rows
Inserted user preferences affecting 2 rows

eswikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

eswikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

eswikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

eswiktionary
Updated user preferences affecting 1 rows
Inserted user preferences affecting 12 rows

etwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 13 rows

euwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

euwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

extwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

fawikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

fawikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

fawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

fawikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

ffwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fiu_vrowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

fiwiki
Updated user preferences affecting 4 rows
Inserted user preferences affecting 56 rows

fiwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fiwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fiwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fiwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fiwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

fiwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

fiwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

frpwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

frrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

frwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

frwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 11 rows

frwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 28 rows

frwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

frwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

furwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

fywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

gagwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ganwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

gawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

gcrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

gdwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

glkwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

glwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 13 rows

glwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

gnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

gomwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

gorwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

gotwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

guwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

guwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

gvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

gvwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

hakwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

hawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

hawwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

hewikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

hewikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

hewikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

hewikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 12 rows

hewikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

hewiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

hifwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

hifwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

hiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 30 rows

hiwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

hiwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

hiwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

hrwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 23 rows

hsbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

htwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

huwiki
Updated user preferences affecting 3 rows
Inserted user preferences affecting 39 rows

huwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

huwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

huwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

hywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 19 rows

hywiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

hywwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

iawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

idwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

idwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

idwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

idwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

iewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

igwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

ikwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

ilowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

inhwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

iowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

iswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

iswikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

iswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

itwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 204 rows

itwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

itwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

itwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

itwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

itwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

itwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

iuwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

jamwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

jawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 350 rows

kaawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

kabwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

kawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 19 rows

kawikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kbdwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

kbpwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kgwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

kiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kkwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 19 rows

kkwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

klwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

kmwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

knwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

kowikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

kowikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

kowikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

kowikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

kowikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

kowiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

krcwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kshwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

kswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

kswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

kuwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

kuwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

kvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

kwwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

kywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

kywiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

labswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 29 rows

ladwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

lawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 25 rows

lawikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

lawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

lawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

lbewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

lbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

lfnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

lijwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

liwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

lldwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

lmowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

lmowiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

loginwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 239 rows

lowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

lrcwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ltwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 21 rows

ltwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

lvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 15 rows

madwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

maiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

map_bmswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

metawiki
Updated user preferences affecting 3 rows
Inserted user preferences affecting 393 rows

mgwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mgwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

minwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

minwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mkwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

mkwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mlwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

mlwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mniwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

mnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

mnwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mnwwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mnwwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

mrjwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

mrwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

mswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 22 rows

mswikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

mswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

mtwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

mwlwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

mywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 10 rows

mywiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

mznwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

nahwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

nahwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

napwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

napwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

nds_nlwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ndswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

ndswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

newiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

newiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

newwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

niawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

niawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

nlwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 120 rows

nlwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nlwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nlwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

nlwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

nlwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

nnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

nnwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

nowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 56 rows

nowikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nowikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

nowikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nowikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

nowiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

nvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

nycwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

nywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ocwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

ocwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

omwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

orwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

otrs_wikiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

outreachwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 12 rows

pamwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

papwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

pawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

pawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

pflwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

pihwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

piwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

plwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

plwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

plwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

plwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

plwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

plwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 19 rows

pmswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

pnbwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

pnbwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

pswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

pswikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

pswiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ptwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

ptwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ptwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ptwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

ptwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

ptwiktionary
Updated user preferences affecting 1 rows
Inserted user preferences affecting 7 rows

pwnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

quwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

rmywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

roa_rupwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

roa_tarawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

rowiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 45 rows

rowikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

rowikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

rowiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ruewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ruwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 396 rows

ruwikibooks
Updated user preferences affecting 1 rows
Inserted user preferences affecting 7 rows

ruwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

ruwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

ruwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

ruwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 18 rows

ruwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

ruwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 11 rows

ruwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 34 rows

sahwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

satwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows
sawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

sawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

scnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

scowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 12 rows

scwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

sdwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

sdwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

sewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

sewikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

shiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

shwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 14 rows

shwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

simplewiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 104 rows

simplewiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

siwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

siwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

skrwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

skrwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

skwiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 23 rows

skwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

skwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

skwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

skwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

slwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 18 rows

smnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

smwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

sourceswiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 46 rows

sowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

specieswiki
Updated user preferences affecting 2 rows
Inserted user preferences affecting 68 rows

sqwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

sqwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

sqwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

sqwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

srwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

srwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

srwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

srwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

stqwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

suwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

suwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

suwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

svwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 72 rows

svwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

svwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

svwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

svwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

svwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

svwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

svwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 11 rows

swwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

szlwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

szywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

tawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 15 rows

tawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

taywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

tcywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

testcommonswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

testwikidatawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 13 rows

tetwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

tewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

tgwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

thwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

thwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

thwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

thwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

tiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

tiwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

tkwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

tlwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

tlwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

tnwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

tnwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

trvwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

trwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

trwikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

trwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

trwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

trwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 8 rows

trwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 13 rows

trwiktionary
Updated user preferences affecting 1 rows
Inserted user preferences affecting 10 rows

ttwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 6 rows

twwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

uawikimedia
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

ugwiki
Updated user preferences affecting 1 rows
Inserted user preferences affecting 1 rows

ugwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ukwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 94 rows

ukwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ukwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ukwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

ukwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

ukwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 5 rows

ukwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

urwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 14 rows

urwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

usabilitywiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

uzwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 10 rows

vecwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

viwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

viwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

viwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 4 rows

viwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

vlswiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

vowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

warwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

wawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

wawikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

wawiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

wikidatawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 290 rows

wikimania2016wiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

wikimaniawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 44 rows

wowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

wuuwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

xalwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

yiwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 9 rows

yiwikisource
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

yiwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 3 rows

yowiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

zawiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 2 rows

zh_classicalwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 21 rows

zh_min_nanwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 7 rows

zh_min_nanwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

zh_yuewiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 32 rows

zhwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 742 rows

zhwikibooks
Updated user preferences affecting 0 rows
Inserted user preferences affecting 23 rows

zhwikinews
Updated user preferences affecting 0 rows
Inserted user preferences affecting 15 rows

zhwikiquote
Updated user preferences affecting 0 rows
Inserted user preferences affecting 17 rows

zhwikisource
Updated user preferences affecting 1 rows
Inserted user preferences affecting 41 rows

zhwikiversity
Updated user preferences affecting 0 rows
Inserted user preferences affecting 20 rows

zhwikivoyage
Updated user preferences affecting 0 rows
Inserted user preferences affecting 15 rows

zhwiktionary
Updated user preferences affecting 0 rows
Inserted user preferences affecting 24 rows

zuwiki
Updated user preferences affecting 0 rows
Inserted user preferences affecting 1 rows

Mentioned in SAL (#wikimedia-operations) [2022-03-23T00:11:18Z] <cjming> end running skin preference update script T299104

Graph of skin preference changes is looking healthy:

Screen Shot 2022-03-22 at 5.28.16 PM.png (1×2 px, 229 KB)

For future reference (and note-to-self), some reminders for if/when we run maintenance scripts again similar to the one here:

  • In the script itself, pass an array of ids to db update or insert to reduce round trips to the database.
  • Add a --no-warn option to speed up non-dry runs of the script.
  • Add a way to capture stdout messages to file.
  • Make dry-run the default and add an option --commit to actually run the script.

We kept an eye on the databases while running the maintenance script and there were a few spikes (screenshot of Grafana during the time we were running scripts on prod):

Screen Shot 2022-03-22 at 6.10.02 PM.png (1×1 px, 514 KB)

Process for running maintenance scripts has been documented under the Readers Web Team page.

I asked @cjming to rerun this script to confirm the migration was completed as expected:
SELECT COUNT(gp_user) FROM global_preferences WHERE (gp_property="VectorSkinVersion" AND gp_value="2") AND gp_user IN (SELECT gp_user FROM global_preferences WHERE gp_property="skin" AND gp_value="vector");

and confirmed that 0 users have the wrong skin preferences/state.

Screen Shot 2022-03-31 at 10.41.13 AM.png (350×1 px, 68 KB)